package com.goafanti.common.model;

public class UserCareer {
    private String id;

    private String uid;

    /**
    * 从事领域
    */
    private String engagedField;

    /**
    * 从业工龄
    */
    private String workingAge;

    /**
    * 职称名字
    */
    private String professionalTitle;

    /**
    * 职称取得时间(年份)
    */
    private String professionalTitleGettime;

    /**
    * 职称证明图
    */
    private String professionalCertificateUrl;

    /**
    * 执业资格
    */
    private String qualification;

    /**
    * 执业资格取得时间(年份)
    */
    private String qualificationGettime;

    /**
    * 执业资格证明图
    */
    private String qualificationCertificateUrl;

    /**
    * 工作单位
    */
    private String workUnit;

    /**
    * 职位/职务/头衔
    */
    private String position;

    /**
    * 从业经历
    */
    private String experiences;

    /**
    * 主要成就
    */
    private String achievement;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getEngagedField() {
        return engagedField;
    }

    public void setEngagedField(String engagedField) {
        this.engagedField = engagedField;
    }

    public String getWorkingAge() {
        return workingAge;
    }

    public void setWorkingAge(String workingAge) {
        this.workingAge = workingAge;
    }

    public String getProfessionalTitle() {
        return professionalTitle;
    }

    public void setProfessionalTitle(String professionalTitle) {
        this.professionalTitle = professionalTitle;
    }

    public String getProfessionalTitleGettime() {
        return professionalTitleGettime;
    }

    public void setProfessionalTitleGettime(String professionalTitleGettime) {
        this.professionalTitleGettime = professionalTitleGettime;
    }


    public String getQualification() {
        return qualification;
    }

    public void setQualification(String qualification) {
        this.qualification = qualification;
    }

    public String getQualificationGettime() {
        return qualificationGettime;
    }

    public void setQualificationGettime(String qualificationGettime) {
        this.qualificationGettime = qualificationGettime;
    }


    public String getProfessionalCertificateUrl() {
		return professionalCertificateUrl;
	}

	public void setProfessionalCertificateUrl(String professionalCertificateUrl) {
		this.professionalCertificateUrl = professionalCertificateUrl;
	}

	public String getQualificationCertificateUrl() {
		return qualificationCertificateUrl;
	}

	public void setQualificationCertificateUrl(String qualificationCertificateUrl) {
		this.qualificationCertificateUrl = qualificationCertificateUrl;
	}

	public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getExperiences() {
        return experiences;
    }

    public void setExperiences(String experiences) {
        this.experiences = experiences;
    }

    public String getAchievement() {
        return achievement;
    }

    public void setAchievement(String achievement) {
        this.achievement = achievement;
    }
}